Name:          flpsed
Version:       0.7.3
Release:       1mamba
Summary:       A Postscript and PDF annotator
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://flpsed.org/flpsed.html
Source:        https://flpsed.org/flpsed-%{version}.tar.gz
Source1:       %{name}-desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfltk-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
## AUTOBUILDREQ-END

%description
flpsed is a WYSIWYG PostScript annotator. You can't remove or modify existing elements of a document. But flpsed lets you add arbitrary text lines to existing PostScript documents. Added lines can later be reedited with flpsed. Using pdftops, which is part of xpdf one can convert PDF documents to PostScript and also add text to them. flpsed is useful for filling in forms, adding notes etc.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
install -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/flpsed
%{_mandir}/man1/flpsed.1*
%{_datadir}/applications/flpsed.desktop
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.3-1mamba
- update to 0.7.3

* Sun Oct 14 2012 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-1mamba
- automatic update by autodist

* Thu Jan 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- package created by autospec

